## org.apache.ivy.core.event.resolve
Class StartResolveEvent

    java.lang.Object
      org.apache.ivy.core.event.IvyEvent
          org.apache.ivy.core.event.resolve.ResolveEvent
              org.apache.ivy.core.event.resolve.StartResolveEvent

    public class StartResolveEvent

extends ResolveEvent

Field Summary
`static java.lang.String` `NAME`

Constructor Summary
`StartResolveEvent(ModuleDescriptor md, java.lang.String[] confs)`

Method Summary

Methods inherited from class org.apache.ivy.core.event.resolve.ResolveEvent
`getModuleDescriptor`

Methods inherited from class org.apache.ivy.core.event.IvyEvent
`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

Constructor Detail

### StartResolveEvent

    public StartResolveEvent(ModuleDescriptor md,
                             java.lang.String[] confs)